$(document).ready(function() {    
    jQuery.validator.setDefaults({
        success: "valid"
    });
    jQuery.validator.addMethod("DateCorrectFormat", function(data, element) {
        return data.match(/^(19|20)\d\d(-)(0[1-9]|1[012])$/);
    }, "Podaj prawidłową datę i format (0000-00).");

    jQuery.validator.addMethod("RangePrice", function(cena, element) {
        return cena.match(/^((0([,]\d\d)?)|([1-9](\d){0,2}([,]\d\d)?)|([1]{1}[0]{3}([,][0]{2})?))$/);
    }, "Wymagany format to 0,00 , a wartość nie może być większa niż 1000.");

    $("#myform").submit(function() {
        $("#myform").valid();
    });
});